[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum upgrade error http 404 on tsclient rpm



Florian Festi wrote:
Gerry Reno wrote:
I went and looked at the list of packages and dependencies again and it looks like some of the missing dependencies are for packages that have been marked for update to newer versions. So why isn't yum requiring newer versions of the packages for which it is complaining the dependencies are missing? Yum depsolv seems to be messed up. Using yum 3.0.6.

Check if those packages are installed twice with different versions. It is also possible that some multilib issues keeps some older versions from being removed during the update. yum doesn't handle such situations as graciously
as one could image. So some manual help may be required.

Florian Festi

I went and checked just a few of the packages and I don't see anything installed twice:
# yum list mysql
Loading "installonlyn" plugin
Setting up repositories
fedora 100% |=========================| 2.1 kB 00:00 updates 100% |=========================| 1.9 kB 00:00 freshrpms 100% |=========================| 2.1 kB 00:00 Reading repository metadata in from local files primary.xml.gz 100% |=========================| 2.6 MB 00:07 fedora : ################################################## 7401/7401 primary.xml.gz 100% |=========================| 56 kB 00:00 freshrpms : ################################################## 152/152
Installed Packages
mysql.i386 5.0.27-1.fc6 installed Available Packages mysql.i386 5.0.37-2.fc7 fedora [root grp-01-30-02 ~]# rpm -q mysql
mysql-5.0.27-1.fc6
[root grp-01-30-02 ~]#
[root grp-01-30-02 ~]#
[root grp-01-30-02 ~]# yum list k3b
Loading "installonlyn" plugin
Setting up repositories
Reading repository metadata in from local files
Installed Packages
k3b.i386 0.12.17-1 installed Available Packages k3b.i386 1.0.1-1.fc7 updates [root grp-01-30-02 ~]# rpm -q k3b
k3b-0.12.17-1
[root grp-01-30-02 ~]#
[root grp-01-30-02 ~]# yum list gcc
Loading "installonlyn" plugin
Setting up repositories
Reading repository metadata in from local files
Installed Packages
gcc.i386 4.1.1-51.fc6 installed Available Packages gcc.i386 4.1.2-12 fedora [root grp-01-30-02 ~]# rpm -q gcc
gcc-4.1.1-51.fc6

So what are my options here? I can't even install just one package to check if for instance updating k3b would fix the missing dependency because yum now wants to check 'all' the dependencies for all the packages that have been marked for update.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]